# Uses of Enum Class
org.eclipse.emf.compare.DifferenceSource

Packages that use DifferenceSource
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.diff
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.merge
org.eclipse.emf.compare.internal.utils
org.eclipse.emf.compare.rcp.ui.mergeviewer
org.eclipse.emf.compare.utils

## Uses of DifferenceSource in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare with type parameters of type DifferenceSource
Modifier and Type
Field
Description
`static final List<DifferenceSource>`
DifferenceSource.`VALUES`
A public read-only list of all the 'Difference Source' enumerators.
Methods in org.eclipse.emf.compare that return DifferenceSource
Modifier and Type
Method
Description
`static DifferenceSource`
DifferenceSource.`get(int value)`
Returns the 'Difference Source' literal with the specified integer value.
`static DifferenceSource`
DifferenceSource.`get(String literal)`
Returns the 'Difference Source' literal with the specified literal value.
`static DifferenceSource`
DifferenceSource.`getByName(String name)`
Returns the 'Difference Source' literal with the specified name.
`DifferenceSource`
Diff.`getSource()`
Returns the value of the 'Source' attribute.
`static DifferenceSource`
DifferenceSource.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DifferenceSource[]`
DifferenceSource.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare with parameters of type DifferenceSource
Modifier and Type
Method
Description
`void`
Diff.`setSource(DifferenceSource value)`
Sets the value of the '`Source`' attribute.

## Uses of DifferenceSource in org.eclipse.emf.compare.diff

Methods in org.eclipse.emf.compare.diff with parameters of type DifferenceSource
Modifier and Type
Method
Description
`void`
DiffBuilder.`attributeChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`void`
IDiffProcessor.`attributeChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`protected void`
DefaultDiffEngine.`createContainmentDifferences(Match match, EReference reference, boolean checkOrdering, List<Object> values, List<Object> lcsWithOrigin, DifferenceSource side)`
Called from `DefaultDiffEngine.computeContainmentDifferencesThreeWay(Match, EReference, boolean)` once our LCS have been computed and we know what really changed.
`protected void`
DefaultDiffEngine.`createContainmentDifferencesNoOrdering(Match match, EReference reference, List<Object> sideValues, DifferenceSource side)`
This will iterate over the given list of values from a containment reference and create the differences that can be detected from it.
`protected void`
DefaultDiffEngine.`createMultiValuedFeatureDifferencesNoOrdering(Match match, EStructuralFeature feature, List<Object> sideValues, List<Object> originValues, DifferenceSource side)`
This will iterate over the given list of values from a multi-valued feature and create the differences that can be detected from it.
`protected void`
DefaultDiffEngine.`featureChange(Match match, EStructuralFeature feature, Object value, DifferenceKind kind, DifferenceSource source)`
Delegates to the diff processor to create the specified feature change.
`void`
DiffBuilder.`featureMapChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`void`
IDiffProcessor.`featureMapChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`void`
DiffBuilder.`referenceChange(Match match, EReference reference, EObject value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the Diff engine detected a difference for a given reference value.
`void`
IDiffProcessor.`referenceChange(Match match, EReference reference, EObject value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the Diff engine detected a difference for a given reference value.
`void`
DiffBuilder.`resourceAttachmentChange(Match match, String uri, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected the addition (or removal) of a root in a given Resource.
`void`
IDiffProcessor.`resourceAttachmentChange(Match match, String uri, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected the addition (or removal) of a root in a given Resource.
`void`
DiffBuilder.`resourceLocationChange(MatchResource matchResource, String baseLocation, String changedLocation, DifferenceKind kind, DifferenceSource source)`
Deprecated.
`ResourceLocationChange`s have been replaced by `ResourceAttachmentChange`s of kind Move.
`void`
IDiffProcessor.`resourceLocationChange(MatchResource matchResource, String baseLocation, String changedLocation, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detects the change of a Resource location.

## Uses of DifferenceSource in org.eclipse.emf.compare.impl

Fields in org.eclipse.emf.compare.impl declared as DifferenceSource
Modifier and Type
Field
Description
`protected DifferenceSource`
DiffImpl.`source`
The cached value of the '`Source`' attribute.
`protected static final DifferenceSource`
DiffImpl.`SOURCE_EDEFAULT`
The default value of the '`Source`' attribute.
Methods in org.eclipse.emf.compare.impl that return DifferenceSource
Modifier and Type
Method
Description
`DifferenceSource`
CompareFactoryImpl.`createDifferenceSourceFromString(EDataType eDataType, String initialValue)`
`DifferenceSource`
DiffImpl.`getSource()`
Methods in org.eclipse.emf.compare.impl with parameters of type DifferenceSource
Modifier and Type
Method
Description
`void`
DiffImpl.`setSource(DifferenceSource newSource)`

## Uses of DifferenceSource in org.eclipse.emf.compare.internal.merge

Methods in org.eclipse.emf.compare.internal.merge that return DifferenceSource
Modifier and Type
Method
Description
`DifferenceSource`
MergeMode.`getMergeTarget(boolean isLeftEditable, boolean isRightEditable)`
Returns the target of the merge with the given condition about the left and right sides.

## Uses of DifferenceSource in org.eclipse.emf.compare.internal.utils

Methods in org.eclipse.emf.compare.internal.utils with parameters of type DifferenceSource
Modifier and Type
Method
Description
`static EObject`
ComparisonUtil.`getExpectedSide(Match match, DifferenceSource source, boolean mergeRightToLeft)`
Determines the side of the given `Match` which represents the model state the other side will be changed to.

## Uses of DifferenceSource in org.eclipse.emf.compare.rcp.ui.mergeviewer

Methods in org.eclipse.emf.compare.rcp.ui.mergeviewer that return DifferenceSource
Modifier and Type
Method
Description
`DifferenceSource`
IMergeViewer.MergeViewerSide.`convertToDifferenceSource()`
Converts this side to DifferenceSource.
Methods in org.eclipse.emf.compare.rcp.ui.mergeviewer with parameters of type DifferenceSource
Modifier and Type
Method
Description
`static IMergeViewer.MergeViewerSide`
IMergeViewer.MergeViewerSide.`getValueFrom(DifferenceSource source)`
Get the side value from the given `DifferenceSource`.

## Uses of DifferenceSource in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils with parameters of type DifferenceSource
Modifier and Type
Method
Description
`static int`
MatchUtil.`computeIndex(Match match, EStructuralFeature feature, Object value, DifferenceSource side)`
Compute the index of an object in the list of elements of a given match+feature on a given side.
`static com.google.common.base.Predicate<? super Diff>`
EMFComparePredicates.`fromSide(DifferenceSource source)`
Deprecated.
This can be used to check that a given Diff originates from the given `source` side.
`static EObject`
MatchUtil.`getMatchedObject(Match m, DifferenceSource side)`
Get the object matched by a Match on a given side.